Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511670 - Review Request: ghc-bindings-DSL - FFI domain specific language, on top of hsc2hs
Summary: Review Request: ghc-bindings-DSL - FFI domain specific language, on top of hs...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1511672
TreeView+ depends on / blocked
 
Reported: 2017-11-09 20:12 UTC by David Shea
Modified: 2017-11-22 02:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-21 23:30:19 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description David Shea 2017-11-09 20:12:02 UTC
Spec URL: https://raw.githubusercontent.com/weldr/bdcs-copr/master/ghc-bindings-DSL/ghc-bindings-DSL.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/@weldr/bdcs-haskell-deps/fedora-27-x86_64/00649655-ghc-bindings-DSL/ghc-bindings-DSL-1.0.23-1.fc27.src.rpm
Description: This is a set of macros to be used when writing Haskell FFI. They were designed
to be able to fully describe C interfaces, so that hsc2hs can extract from them
all Haskell code needed to mimic such interfaces. All Haskell names used are
automatically derived from C names, structures are mapped to Haskell instances
of Storable, and there are also macros you can use with C code to help write
bindings to inline functions or macro functions. Documentation is available at
package homepage:

<https://github.com/jwiegley/bindings-dsl/wiki>

The extra module Bindings.Utilities will contain tools that may be convenient
when working with FFI.

Fedora Account System Username: dshea

Comment 1 Robert-André Mauchin 2017-11-09 22:08:37 UTC
No issue, package accepted.

Comment 2 Gwyn Ciesla 2017-11-09 23:02:03 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-bindings-DSL

Comment 3 Fedora Update System 2017-11-11 17:31:12 UTC
ghc-bindings-DSL-1.0.23-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-35de287895

Comment 4 Fedora Update System 2017-11-12 02:40:52 UTC
ghc-bindings-DSL-1.0.23-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3a7f6fdd2c

Comment 5 Fedora Update System 2017-11-21 23:30:19 UTC
ghc-bindings-DSL-1.0.23-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-11-22 02:27:52 UTC
ghc-bindings-DSL-1.0.23-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.